<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG1</title>
	<link rel="stylesheet" href="style.css">
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologías Emergentes. Curso 2019-20<br>
			Trabajo TG1 del grupo M2<br>
			Título: TG1.Encontrar recursos sobre dos tecnologías emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Información general</a></li>
			<li><a href="#2">2. Descripción del tipo de tecnología</a></li>
			<li><a href="#3">3. Fuentes de información (documentos)</a></li>
			<li><a href="#4">4. Fuentes de información (cursos no gratuitos)</a></li>
			<li><a href="#5">5. Fuentes de información (cursos gratuitos)</a></li>
			<li><a href="#6">6. Ayudas económicas para estudiar las tecnologí­as</a></li>
			<li><a href="#7">7. Recursos para implementar las tecnologí­as</a></li>
			<li><a href="#8">8. Conclusiones</a></li>
		</ul>
	</nav>

	<main>
		<section id="1">
	<section id="1">
			<h2>1. Información general</h2>
			<h3>1.1 Autores</h3>
			<p>Autores: Estela Monzón, Jaime Jimeno, Julio César Ramírez, Francisco García-Morales, Daniel Boyano</p>
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<p>Enlace proyecto: https://gitlab.com/dte2020/m2_/tg1</p>
			<p>En ese proyecto deberá haber un Sprint (Milestone) finalizado con el nombre "TG1".</p>
			<h3>1.3 Burndown chart</h3>
			<p>En este apartado se debe incrustar la imagen del diagrama Burndown final del Sprint TG1.</p>
			<img src="1.jpeg">
			<h3>1.4 Presentación del trabajo</h3>
			<p>En este apartado se debe incluir el enlace al archivo de la presentación con diapositivas, ubicado en el
				repositorio del proyecto.</p>
			<a href="TG1_M2.pptx">Presentación con diapositivas del trabajo TG1</a></p>
		</section>

	<section id="2">
			<h2>2. Descripción del tipo de tecnología</h2>
			<p>En este trabajo nos disponemos a analizar varios aspectos de dos fuentes de información que nos servirán 
			para entender la utilidad de la tecnología implicada, JAVA PERSISTENCE API, y todo lo que conlleva su uso, 
			desde factores técnicos a económicos.
			La tecnología que vamos a tratar en nuestro caso es Java Persistence API, un API de programación Java que 
			estandariza el almacenamiento, acceso y gestión de objetos Java en bases de datos relacionales.
            La especificación de Java Persistance API permite definir qué objetos deben ser persistentes y cómo 
            deberían ser en las aplicaciones de Java. 
            No es un framework como tal, sino que define un grupo de conceptos que pueden ser implementados por cualquier herramienta o framework. 
            Su uso comenzó en el uso de objetos relacionales en bases de datos de SQL pero ha ido evolucionando y 
            extendiéndose a almacenamiento de datos NoSQL. Cuenta con diversos frameworks que lo soportan.
			</p>
		</section>

		<section id="3">
			<h2>3. Fuentes de información (documentos)</h2>
			<h3>3.1 Fuentes de información sobre el tipo de tecnología en general </h3>
			<h4>3.1.1 Fuente de información 1 sobre el tipo de tecnología en general</h4>
			<p>Este artículo realiza una introducción y definición de Java Persistence API, también cuenta, de manera breve, la historia y surgimiento de la tecnología.</p>
			<a href="https://www.javaworld.com/article/3379043/what-is-jpa-introduction-to-the-java-persistence-api.html">Enlace a la fuente</a>
		    <h4>3.1.2 Fuente de información 2 sobre el tipo de tecnologí­a en general</h4>
			<p>Esta página es una librería donde se describe las diferentes funciones de la tecnología general. También proporciona enlaces para la descarga de las librerías específicas.</p>
			<a href="https://java-source.net/open-source/persistence">Enlace librería</a>
		    <h4>3.1.3 Fuente de información 3 sobre el tipo de tecnologí­a en general</h4>
			<p>La web oficial de oracle proporciona una plataforma de artículos, enlaces de descarga y tutoriales sobre la tecnología, incluyendo una sección de foros y de comunidad.</p>
			<a href="https://www.oracle.com/technetwork/java/javaee/tech/persistence-jsp-140049.html">Enlace librería</a>
			
			<h3>3.2 Fuentes sobre la tecnologí­a especí­fica A: Java Web Framework </h3>
			<h4>3.2.1 Fuente de información 1 sobre la tecnologí­a especí­fica A</h4>
			<p>En este artículo del IEEE se describe y relaciona la aplicación de Frameworks en Java para aplicaciones web.</p>
			<a href="https://ieeexplore.ieee.org/abstract/document/4031677">Enlace articulo</a>
			<h4>3.2.2 Fuente de información 2 sobre la tecnologí­a especí­fica A</h4>
			<p>En esta publicación describe los métodos para aprender las técnicas para la adopción de tecnologías como Framework en Java.</p>
			<a href="http://www.academia.edu/download/47625404/Conceptual_model_of_software_architecture_in_instruction_java_web_frameworks.pdf">Enlace publicación</a>
			

			<h3>3.3 Fuentes sobre la tecnologí­a especí­fica B: Network programing Java</h3>
			<h4>3.3.1 Fuente de información 1 sobre la tecnologí­a especí­fica B</h4>
			<p>En este libro se especifica de manera completa todos los pormenores de la programación en red usando java, desde los hilos y los protocolos de red hasta HTML y JavaMail.</p>
			<a href="https://books.google.es/books?hl=es&lr=&id=uVmG-4NkUgIC&oi=fnd&pg=PT6&dq=network+programming+java&ots=Z9RByzN2mE&sig=dxhU4sN9ReK0wfVYMLnJBN_Fj54">Enlace al libro</a>
			<h4>3.3.2 Fuente de información 2 sobre la tecnologí­a especí­fica B</h4>
			<p>En este libro sirve de introducción para la programación en red y la mutliprogramación</p>
			<a href="https://books.google.es/books?hl=es&lr=&id=3qq8BAAAQBAJ&oi=fnd&pg=PR7&dq=network+programming+java&ots=FxbRqDl0q6&sig=ciUKHqKbGNfeq3Sj3UWK7cVkOqc#v=onepage&q=network%20programming%20java&f=false">Enlace a la fuente</a>
		</section>

		<section id="4">
						<h2>4. Fuentes de información (cursos no gratuitos)</h2>
			<p>En los sub-apartados de este apartado se deben indicar cursos no gratuitos para aprender sobre el tipo
				de tecnologí­a en general, y sobre cada una de las tecnologí­as elegidas</p>
			<p>Sobre cada curso se debe incluir una breve descripción y la URL para acceder a la información del curso
			</p>
			<p>NOTA: Para obtener la mí¡xima calificación en este apartado deben incluirse al menos 1 curso en cada
				subapartado, con un total en el apartado completo de al menos 5 cursos.</p>
			<h3>4.1 Cursos no gratuitos sobre el tipo de tecnologí­a en general </h3>
			<h4>4.1.1 Curso no gratuito 1 sobre el tipo de tecnologí­a en general</h4>
			<p>Los cursos encontrados para este apartado son diversos, pero nos ofrecen formación de manera general, no solo centrándose en los frameworks de java, sino en una formación mucho más amplia.</p>
			<a href="https://www.udemy.com/course/universidad-java-especialista-en-java-desde-cero-a-master/">Enlace al curso</a>
			<h4>4.1.2 Curso no gratuito 2 sobre el tipo de tecnologí­a en general</h4>
			<p>Este curso es similar al anterior, toca temas muy generales y no se centra solo en las frameworks de java.</p>
			<a href="https://www.udemy.com/course/club-java-master-de-novato-a-experto-java-javaee-spring-hibernate-jpa/">Enlace al curso</a>
			<h4>4.1.N Curso no gratuito 3 sobre el tipo de tecnologí­a en general</h4>
			<p>Lo que aprenderemos en este curso será: Programas en Java, crear programas en Java desde cero y desarrollar problemas en Java, es decir, es un curso más básico que los anteriores</p>
			<a href="https://www.udemy.com/course/aprende-programacion-en-java-desde-cero/">Enlace al curso</a>

			<h3>4.2 Cursos no gratuitos sobre la tecnologí­a especí­fica A </h3>
			<h4>4.2.1 Curso no gratuito 1 sobre la tecnologí­a especí­fica A</h4>
			<p>Incrementa tu productividad con los Frameworks Java más utilizados y aprende cómo utilizar e Integrar los Frameworks Java para crear Aplicaciones Web y Empresariales Profesionales</p>
			<a href="https://www.udemy.com/course/java-frameworks-spring-struts-hibernate-jsf/">Enlace al curso</a>
			<h4>4.2.2 Curso no gratuito 2 sobre la tecnologí­a especí­fica A</h4>
			<p>El curso entrega las bases necesarias para desarrollar aplicaciones con Spring Framework 4, implementando el patrón de arquitectura MVC, Interceptores, Contexto e Inyección de Dependencia (DI), formularios y validación, componentes de persistencia con Hibernate y JPA 2, Web Service REST, AOP, Seguridad (Auth, Roles, Permisos etc), Spring Boot, Thymeleaf, Ajax con jQuery, PDF, Excel, Uploads de archivos y mucho más.</p>
			<a href="https://www.udemy.com/course/curso-spring-framework-4/">Enlace al curso</a>
			<h4>4.2.3 Curso no gratuito 3 sobre la tecnologí­a especí­fica A</h4>
			<p>Este curso pretende preparar al participante para obtener las competencias necesarias para desarrollar aplicaciones empresariales cumpliendo con el estándar Java EE 7.El enfoque principal estará dado al componente Web, implementando el patrón de arquitectura MVC (Modelo, Vista y Controlador) incorpora también el Framework JSF 2, Struts 2, Spring 4 y EJB3.</p>
			<a href="https://www.udemy.com/course/java-ee-7-frameworks-jsf2-spring-4-struts-2-y-ejb3/">Enlace al curso</a>

			<h3>4.3 Cursos no gratuitos sobre la tecnologí­a especí­fica B </h3>
			<h4>4.3.1 Curso no gratuito 1 sobre la tecnologí­a especí­fica B</h4>
			<p>En este curso se enseñan los conceptos básicos relacionados con el desarrollo de aplicaciones de red  utilizando Java como lenguaje de programación</p>
			<a href="https://www.udemy.com/course/programacion-de-comunicaciones-en-red-con-java/">Enlace al curso</a>
		</section>

		<section id="5">
					<h2>5. Fuentes de información (cursos gratuitos)</h2>
			<p>Encontramos cursos que son gratuitos si son realizados por trabajadores a través de sus empresas.En los sub-apartados de este apartado, veremos cursos sobre el tipo
				de tecnologí­a en general, y sobre cada una de las tecnologí­as elegidas</p>
			<p>Sobre cada curso se debe incluir una breve descripción y la URL para acceder a la información del curso
			</p>
			<p>NOTA: Para obtener la mí¡xima calificación en este apartado deben incluirse al menos 1 curso en cada
				subapartado, con un total en el apartado completo de al menos 5 cursos.</p>
			<h3>5.1 Cursos gratuitos sobre el tipo de tecnologí­a en general </h3>
			<h4>5.1.1 Curso gratuito 1 sobre el tipo de tecnologí­a en general</h4>
			<p>Curso que imparte conocimientos sobre JPA. Los principales temas que los alumnos conseguirán asumir en esta formación son los conocimientos sobre las bases de datos relacionales, todos los conceptos 
			    fundamentales sobre Bean, el mapeo de tablas y colecciones, cómo utilizar la interfaz Entity Manager y la sincronización de trabajo con las bases de datos.</p>
			<a href="https://www.emagister.com/java-ee-6-jpa-java-persistence-api-cursos-2994351.htm">Enlace al curso</a>
			<h4>5.1.2 Curso gratuito 2 sobre el tipo de tecnologí­a en general</h4>
			<p>Curso que imparte conocimientos sobre JPA. Este curso se ajusta al itinerario formativo del Programa Formativo IFCD04 Desarrollo de Aplicaciones Java: Componentes Web y 
			    Aplicaciones de Base de Datos (JSP y JPA), que permite al alumnado adquirir las competencias
			    necesarias para construir aplicaciones utilizando tecnología JavaServer Page (JSP) así como aplicaciones Java de conexión a base de datos mediante JPA.</p>
			<a href="https://www.academiaintegral.com.es/cursos-gratis/especialidades-formativas/informatica-y-comunicaciones/ifcd04-desarrollo-de-aplicaciones-java-componentes-web-y-aplicaciones-de-base-de-datos-jsp-y-jpa-11877.html
                ">Enlace al curso</a>
			<h4>5.1.N Curso gratuito 3 sobre el tipo de tecnologí­a en general</h4>
			<p>En este curso, dividido en 4 módulos, se explica cómo crear aplicaciones RESTful con Java EE utilizando
			Angular como Frontend. Además, a usar los frameworks de Java Hibernate y Spring, así como Java Persistence Api.</p>
			<a href="https://cursossubvencionados.corenetworks.es/cursos-gratis-caceres/programacion-java-y-angular">Enlace al curso</a>

			<h3>5.2 Cursos gratuitos sobre la tecnologí­a especí­fica A </h3>
			<h4>5.2.1 Curso gratuito 1 sobre la tecnologí­a especí­fica A</h4>
			<p>Java Web Framework es la tecnología específica A. El presente curso de Desarrollo de Aplicaciones Java con Spring te prepara 
			    para poder llevar con éxito el desarrollo de una aplicación web con el Framework Spring y poder ser un experto en este ámbito.</p>
			<a href="https://cursosgratuitos.es/curso-gratuito-experto-en-desarrollo-de-aplicaciones-java-con-spring/">Enlace al curso</a>
			
			<h3>5.3 Cursos gratuitos sobre la tecnologí­a especí­fica B </h3>
			<h4>5.3.1 Curso gratuito 1 sobre la tecnologí­a especí­fica B</h4>
			<p>Network programing Java es la tecnología específica B. Con los conocimientos que se adquieren mediante este curso, aprender
	            a escribir potentes aplicaciones de red será mucho más fácil.:</p>
			<a href="https://www.onlinefreecourse.net/java-network-programming-tcp-ip-socket-programming-udemy-free-download/">Enlace al curso</a>
		</section>

		<section id="6">
					<h2>6. Ayudas económicas para estudiar las tecnologí­as</h2>
			<p>Las ayudas económicas a las que recurriremos serán necesariamente becas de investigación en el campo de la programación.
                Buscamos apoyo en varios de fuentes:
                    Becas de investigación de empresas informáticas.
                    Proyectos organizaciones y concursos de iniciativa llevados por organizaciones o empresas tecnológicas.
                    Becas universitarias y proyectos de investigación relacionados.
	                Becas de investigación del gobierno a nivel nacional o autonómico.
                    Las ayudas que más nos convence optar finalmente:
				</p>
				<p>NOTA: Para obtener la máxima calificación en este apartado deben incluirse al menos 2 ayudas.</p>
				<h3>6.1 Ayuda 1</h3>
				<p>Proyectos de I+D+I «Programación Conjunta Internacional» 2019</p>
				<a hrefProyectos de I+D+I «Programación Conjunta Internacional» 2019="http://www.ciencia.gob.es/portal/site/MICINN/menuitem.dbc68b34d11ccbd5d52ffeb801432ea0/?vgnextoid=3b2be96a4011a610VgnVCM1000001d04140aRCRD">Enlace para más información sobre la ayuda</a>
				<h3>6.2 Ayuda 2</h3>
				<p>Ayudas Proyectos para la Creación y Consolidación de Grupos de I+D+i, Universidad de Alcalá de Henares 2020.</p>
				<a href="https://www.fecyt.es/es/convocatoria/7386">Enlace para más información sobre la ayuda</a>
			</p>
		</section>

		<section id="7">
		<h2>7. Recursos software o hardware para implementar las tecnologí­as</h2>
            <p>En los sub-apartados de este apartado se deben indicar recursos software (y en su caso también hardware)
                para implementar cada una de las tecnologí­as elegidas</p>
            <p>Sobre cada recurso se debe incluir una breve descripción y la URL para acceder a la información del
                recurso
            </p>
            <h3>7.1 Recursos para implementar la tecnologí­a A</h3>
            <h4>7.1.1 Recursos gratuitos para implementar la tecnologí­a A</h4>
            <p>Java SE Development Kit (SDK): es un software que provee herramientas de desarrollo para crear programas en lenguaje Java.</p>
            <p>Java Spring Framework: uno de los frameworks más utilizados del mundo. Contiene librerías testadas por desarrolladores de todo el mundo, es flexible y aporta rapidez y productividad, además de una gran seguridad.</p>
            <p>Apache Maven: es una herramienta que se utiliza para gestión de proyectos. En este caso se utilizará como repositorio de librerías.</p>
            <p>Hibernate: es un software ORM donde descansará JPA.</p>
            <p>H2 database: base de datos con la que trabajaremos.</p>
            <a href="https://www.oracle.com/technetwork/es/java/javase/documentation/index.html">Java SE Development Kit (SDK)</a>
            <a href="https://spring.io/projects/spring-framework">Java Spring Framework</a>
            <a href="https://maven.apache.org/">Apache Maven</a>
            <a href="https://hibernate.org/orm/releases/5.4/#documentation">Hibernate</a>
            <a href="https://www.h2database.com/html/download.html">H2 database</a>
            <h4>7.1.2 Recursos no gratuitos para implementar la tecnologí­a A</h4>
            <p>DBVISUALIZER: Sin duda la herramienta más recomendable para la organización y creación de base de datos es DBvisualizer, puesto que funciona en los principales sistemas operativos y se conecta a la mayoría de motores de base de datos</p>
            <a href="https://www.dbvis.com/">DBVISUALIZER</a>
 
            <h3>7.2 Recursos para implementar la tecnologí­a B</h3>
            <h4>7.2.1 Recursos gratuitos para implementar la tecnologí­a B</h4>
            <p>
            Protocolos TCP/UDP: son los protocolos que nos proporcionan internet y la transmisión de paquetes entre aplicaciones.
Java SE Development Kit (SDK): es un software que provee herramientas de desarrollo para crear programas en lenguaje Java.
Netbeans: se trata de un Java IDE, es decir, un editor de texto para programar en Java.
Socket Client y Socket Server: son el cliente y el servidor mediante los cuales estableceremos conexión, gracias a los métodos Server Socket Class y Socket Class.
</p>
            <a href="https://www.oracle.com/technetwork/es/java/javase/documentation/index.html">Java SE Development Kit (SDK)</a>
            <a href="https://netbeans.org/features/java/index.html">Netbeans</a>
            <a href="https://www.tutorialspoint.com/java/java_networking.htm">Socket Client y Socket Server</a>
            <h4>7.2.2 Recursos no gratuitos para implementar la tecnologí­a B</h4>
		</section>

		<section id="8">
			<h2>8. Conclusiones</h2>
			<p>Hemos concluido que la metodología SCRUM facilita en gran medida el trabajo a nivel grupal, la coordinación entre componentes y la generación de ideas de manera ordenada. Familiarizarnos con la organización de GitLab quizá ha sido lo más problemático para la creación y actualización del documento HTML, otorgar permisos a las distintas partes del grupo etc. Por lo demás nos ha parecido un trabajo realmente útil pues es una metodología con la que debemos familiarizarnos de cara a la participación en distintos proyectos en el futuro.</p>
		</section>

	</main>

</body>

</html>